<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>StatCVS Developers: Benoit Xhenseval</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="StatCVS Developers: Benoit Xhenseval">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a> &#171; <a href="developers.html">Developers</a></div>
<dl class="attributes">
    <dt>Login name:</dt>
    <dd>benoitx</dd>
    <dt>Real name:</dt>
    <dd>Benoit Xhenseval</dd>
    <dt>Home Page:</dt>
    <dd><a href="http://www.xhenseval.com/benoit">http://www.xhenseval.com/benoit</a></dd>
    <dt>Image:</dt>
    <dd><img src="http://www.xhenseval.com/benoit/bx-avatar.jpg" alt="Benoit Xhenseval"/></dd>
    <dt>Total Commits:</dt>
    <dd>304 (9.5%)</dd>
    <dt>Lines of Code:</dt>
    <dd>19228 (27.1%)</dd>
    <dt>Most Recent Commit:</dt>
    <dd><span class="date">2008-04-21 17:06</span></dd>
</dl>

<div class="section">
<subsection name ="Activity by Clock Time">
<p class="chart"><img src="activity_time_benoitx.png" alt="Activity by Hour of Day for Benoit Xhenseval" width="512" height="320" /></p><p class="chart"><img src="activity_day_benoitx.png" alt="Activity by Day of Week for Benoit Xhenseval" width="512" height="320" /></p></subsection></div>
<div class="section">
<subsection name ="Activity in Directories">
  <table  class="statCvsTable" rules="groups" summary="Overview of this author's activities in different directories">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Directory</th>
        <th>Changes</th>
        <th>Lines of Code</th>
        <th>Lines per Change</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>304 (100.0%)</td>
        <td>19228 (100.0%)</td>
        <td>63.2</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_output.html" class="directory">statcvs/src/net/sf/statcvs/output/</a></th>
        <td>38 (12.5%)</td>
        <td>2161 (11.2%)</td>
        <td>56.8</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_pages.html" class="directory">statcvs/src/net/sf/statcvs/pages/</a></th>
        <td>40 (13.2%)</td>
        <td>1925 (10.0%)</td>
        <td>48.1</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_pages_xml.html" class="directory">statcvs/src/net/sf/statcvs/pages/xml/</a></th>
        <td>29 (9.5%)</td>
        <td>1503 (7.8%)</td>
        <td>51.8</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_input.html" class="directory">statcvs/tests-src/net/sf/statcvs/input/</a></th>
        <td>10 (3.3%)</td>
        <td>1454 (7.6%)</td>
        <td>145.4</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_model.html" class="directory">statcvs/src/net/sf/statcvs/model/</a></th>
        <td>11 (3.6%)</td>
        <td>1352 (7.0%)</td>
        <td>122.9</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_input.html" class="directory">statcvs/src/net/sf/statcvs/input/</a></th>
        <td>12 (3.9%)</td>
        <td>1347 (7.0%)</td>
        <td>112.2</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_charts.html" class="directory">statcvs/src/net/sf/statcvs/charts/</a></th>
        <td>16 (5.3%)</td>
        <td>970 (5.0%)</td>
        <td>60.6</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_site.html" class="directory">statcvs/site/</a></th>
        <td>16 (5.3%)</td>
        <td>948 (4.9%)</td>
        <td>59.2</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_reports.html" class="directory">statcvs/src/net/sf/statcvs/reports/</a></th>
        <td>23 (7.6%)</td>
        <td>934 (4.9%)</td>
        <td>40.6</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs.html" class="directory">statcvs/</a></th>
        <td>19 (6.3%)</td>
        <td>900 (4.7%)</td>
        <td>47.3</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_renderer.html" class="directory">statcvs/src/net/sf/statcvs/renderer/</a></th>
        <td>10 (3.3%)</td>
        <td>816 (4.2%)</td>
        <td>81.6</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_reportmodel.html" class="directory">statcvs/src/net/sf/statcvs/reportmodel/</a></th>
        <td>16 (5.3%)</td>
        <td>796 (4.1%)</td>
        <td>49.7</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_model.html" class="directory">statcvs/tests-src/net/sf/statcvs/model/</a></th>
        <td>7 (2.3%)</td>
        <td>738 (3.8%)</td>
        <td>105.4</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_util.html" class="directory">statcvs/src/net/sf/statcvs/util/</a></th>
        <td>10 (3.3%)</td>
        <td>658 (3.4%)</td>
        <td>65.8</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_util.html" class="directory">statcvs/tests-src/net/sf/statcvs/util/</a></th>
        <td>6 (2.0%)</td>
        <td>633 (3.3%)</td>
        <td>105.5</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs.html" class="directory">statcvs/src/net/sf/statcvs/</a></th>
        <td>11 (3.6%)</td>
        <td>342 (1.8%)</td>
        <td>31.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_.settings.html" class="directory">statcvs/.settings/</a></th>
        <td>2 (0.7%)</td>
        <td>307 (1.6%)</td>
        <td>153.5</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_output.html" class="directory">statcvs/tests-src/net/sf/statcvs/output/</a></th>
        <td>2 (0.7%)</td>
        <td>264 (1.4%)</td>
        <td>132.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_maven-common-build.html" class="directory">statcvs/maven-common-build/</a></th>
        <td>2 (0.7%)</td>
        <td>231 (1.2%)</td>
        <td>115.5</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_ant.html" class="directory">statcvs/src/net/sf/statcvs/ant/</a></th>
        <td>1 (0.3%)</td>
        <td>229 (1.2%)</td>
        <td>229.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_renderer.html" class="directory">statcvs/tests-src/net/sf/statcvs/renderer/</a></th>
        <td>2 (0.7%)</td>
        <td>164 (0.9%)</td>
        <td>82.0</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_reportmodel.html" class="directory">statcvs/tests-src/net/sf/statcvs/reportmodel/</a></th>
        <td>2 (0.7%)</td>
        <td>151 (0.8%)</td>
        <td>75.5</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_site_style.html" class="directory">statcvs/site/style/</a></th>
        <td>1 (0.3%)</td>
        <td>146 (0.8%)</td>
        <td>146.0</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_weblinks_bugs.html" class="directory">statcvs/src/net/sf/statcvs/weblinks/bugs/</a></th>
        <td>6 (2.0%)</td>
        <td>142 (0.7%)</td>
        <td>23.6</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_pages.html" class="directory">statcvs/tests-src/net/sf/statcvs/pages/</a></th>
        <td>3 (1.0%)</td>
        <td>73 (0.4%)</td>
        <td>24.3</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs.html" class="directory">statcvs/tests-src/net/sf/statcvs/</a></th>
        <td>1 (0.3%)</td>
        <td>26 (0.1%)</td>
        <td>26.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_web-files.html" class="directory">statcvs/src/net/sf/statcvs/web-files/</a></th>
        <td>3 (1.0%)</td>
        <td>18 (0.1%)</td>
        <td>6.0</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_output_web-files.html" class="directory">statcvs/src/net/sf/statcvs/output/web-files/</a></th>
        <td>1 (0.3%)</td>
        <td>0 (0.0%)</td>
        <td>0.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_site_images.html" class="directory">statcvs/site/images/</a></th>
        <td>3 (1.0%)</td>
        <td>0 (0.0%)</td>
        <td>0.0</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_lib.html" class="directory">statcvs/lib/</a></th>
        <td>1 (0.3%)</td>
        <td>0 (0.0%)</td>
        <td>0.0</td>
      </tr>
    </tbody>
  </table>

<p class="chart"><img src="directory_sizes_benoitx.png" alt="Activity of Benoit Xhenseval" width="720" height="450" /></p></subsection></div>
<div class="section">
<subsection name ="Most Recent Commits">
<dl class="commitlist">
  <dt><a name="20"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-21 17:05</span>
  </dt>
  <dd>
    <p class="comment">
prepare headline.
    </p>
    <p class="commitdetails"><strong>16</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/statcvs.bat?r1=1.2&amp;r2=1.3" class="webrepository">statcvs.bat</a>&#160;<span class="change">(+1&#160;-1)</span>
      </li>
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/index.xml?r1=1.3&amp;r2=1.4" class="webrepository">index.xml</a>&#160;<span class="change">(+15&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="19"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-17 16:02</span>
  </dt>
  <dd>
    <p class="comment">
[1639462 ] Added support for TRAC, thanks to Jean-Francois Burdet.
    </p>
    <p class="commitdetails"><strong>104</strong> lines of code changed in <span class="files">5 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?r1=1.6&amp;r2=1.7" class="webrepository">changes.xml</a>&#160;<span class="change">(+1)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?r1=1.61&amp;r2=1.62" class="webrepository">Main.java</a>&#160;<span class="change">(+9&#160;-9)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommandLineParser.java?r1=1.25&amp;r2=1.26" class="webrepository">CommandLineParser.java</a>&#160;<span class="change">(+7&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ConfigurationOptions.java?r1=1.32&amp;r2=1.33" class="webrepository">ConfigurationOptions.java</a>&#160;<span class="change">(+14&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/TracIntegration.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">TracIntegration.java</a>&#160;<span class="new">(new&#160;73)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="18"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-14 20:39</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.18</span></span>
  </dt>
  <dd>
    <p class="comment">
Change version to 0.4.0
    </p>
    <p class="commitdetails"><strong>1</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/project.properties?r1=1.17&amp;r2=1.18" class="webrepository">project.properties</a>&#160;<span class="change">(+1&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="17"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-14 20:37</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.3</span></span>
  </dt>
  <dd>
    <p class="comment">
tidy up.
    </p>
    <p class="commitdetails"><strong>3</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LOCChurnChartMaker.java?r1=1.2&amp;r2=1.3" class="webrepository">LOCChurnChartMaker.java</a>&#160;<span class="change">(+1&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/RepoMapPageMaker.java?r1=1.2&amp;r2=1.3" class="webrepository">RepoMapPageMaker.java</a>&#160;<span class="change">(+2&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="16"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-14 20:01</span>
  </dt>
  <dd>
    <p class="comment">
Change version to 0.4.0
    </p>
    <p class="commitdetails"><strong>256</strong> lines of code changed in <span class="files">3 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/maven.xml?r1=1.2&amp;r2=1.3" class="webrepository">maven.xml</a>&#160;<span class="change">(+33&#160;-38)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/project.xml?r1=1.7&amp;r2=1.8" class="webrepository">project.xml</a>&#160;<span class="change">(+221&#160;-241)</span>
      </li>
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?r1=1.5&amp;r2=1.6" class="webrepository">changes.xml</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="15"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-14 19:32</span>
  </dt>
  <dd>
    <p class="comment">
Re-coded the auto-link facility this time using regular Expressions (from 41 lines of code to 3...).<br />
I'd recommend this book: <a href="http://www.amazon.co.uk/exec/obidos/ASIN/1590591070/benoitxhenseshal">http://www.amazon.co.uk/exec/obidos/ASIN/1590591070/benoitxhenseshal</a>
    </p>
    <p class="commitdetails"><strong>56</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.11&amp;r2=1.12" class="webrepository">HTML.java</a>&#160;<span class="change">(+15&#160;-43)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/pages/HTMLTest.java?r1=1.2&amp;r2=1.3" class="webrepository">HTMLTest.java</a>&#160;<span class="change">(+41&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="14"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-03 18:38</span>
  </dt>
  <dd>
    <p class="comment">
Adding Head revision on index page for SVN.
    </p>
    <p class="commitdetails"><strong>232</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/index.xml?r1=1.2&amp;r2=1.3" class="webrepository">index.xml</a>&#160;<span class="change">(+214&#160;-95)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/IndexPageMaker.java?r1=1.6&amp;r2=1.7" class="webrepository">IndexPageMaker.java</a>&#160;<span class="change">(+18&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="13"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:52</span>
  </dt>
  <dd>
    <p class="comment">
Fixing FindBugs warnings / bugs.
    </p>
    <p class="commitdetails"><strong>94</strong> lines of code changed in <span class="files">11 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/SymbolicName.java?r1=1.4&amp;r2=1.5" class="webrepository">SymbolicName.java</a>&#160;<span class="change">(+6&#160;-4)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ConfigurationOptions.java?r1=1.31&amp;r2=1.32" class="webrepository">ConfigurationOptions.java</a>&#160;<span class="change">(+16&#160;-9)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.13&amp;r2=1.14" class="webrepository">Page.java</a>&#160;<span class="change">(+10&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages/xml</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/CommitListXml.java?r1=1.3&amp;r2=1.4" class="webrepository">CommitListXml.java</a>&#160;<span class="change">(+4&#160;-7)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/FilesXml.java?r1=1.4&amp;r2=1.5" class="webrepository">FilesXml.java</a>&#160;<span class="change">(+7&#160;-8)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/LogXml.java?r1=1.2&amp;r2=1.3" class="webrepository">LogXml.java</a>&#160;<span class="change">(+2&#160;-4)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/LogXmlMaker.java?r1=1.2&amp;r2=1.3" class="webrepository">LogXmlMaker.java</a>&#160;<span class="change">(+1&#160;-6)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/XML.java?r1=1.2&amp;r2=1.3" class="webrepository">XML.java</a>&#160;<span class="change">(+4&#160;-4)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/reportmodel</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/TimeLine.java?r1=1.4&amp;r2=1.5" class="webrepository">TimeLine.java</a>&#160;<span class="change">(+4&#160;-4)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.19&amp;r2=1.20" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+37&#160;-17)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?r1=1.15&amp;r2=1.16" class="webrepository">IntegerMap.java</a>&#160;<span class="change">(+3&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="12"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:22</span>
  </dt>
  <dd>
    <p class="comment">
Done an Eclipse cleanUp in order to reduce number of warnings by FindBugs / Checkstyle / PMD tools.<br />
Sorry if it is looking like a massive change...
    </p>
    <p class="commitdetails"><strong>12185</strong> lines of code changed in <span class="files">155 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?r1=1.60&amp;r2=1.61" class="webrepository">Main.java</a>&#160;<span class="change">(+28&#160;-30)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Messages.java?r1=1.10&amp;r2=1.11" class="webrepository">Messages.java</a>&#160;<span class="change">(+7&#160;-7)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/ant</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/ant/StatCvsTask.java?r1=1.20&amp;r2=1.21" class="webrepository">StatCvsTask.java</a>&#160;<span class="change">(+229&#160;-228)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/charts</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/ChartImage.java?r1=1.5&amp;r2=1.6" class="webrepository">ChartImage.java</a>&#160;<span class="change">(+72&#160;-76)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/ChartUtils.java?r1=1.2&amp;r2=1.3" class="webrepository">ChartUtils.java</a>&#160;<span class="change">(+43&#160;-42)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/CommitScatterChartMaker.java?r1=1.8&amp;r2=1.9" class="webrepository">CommitScatterChartMaker.java</a>&#160;<span class="change">(+89&#160;-100)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/DirectoryPieChartMaker.java?r1=1.9&amp;r2=1.10" class="webrepository">DirectoryPieChartMaker.java</a>&#160;<span class="change">(+120&#160;-126)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/LOCChartMaker.java?r1=1.13&amp;r2=1.14" class="webrepository">LOCChartMaker.java</a>&#160;<span class="change">(+47&#160;-47)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/ModifyAddChartMaker.java?r1=1.5&amp;r2=1.6" class="webrepository">ModifyAddChartMaker.java</a>&#160;<span class="change">(+112&#160;-114)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/SymbolicNameAnnotation.java?r1=1.5&amp;r2=1.6" class="webrepository">SymbolicNameAnnotation.java</a>&#160;<span class="change">(+69&#160;-90)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/TimeBarChartMaker.java?r1=1.3&amp;r2=1.4" class="webrepository">TimeBarChartMaker.java</a>&#160;<span class="change">(+94&#160;-102)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/TimeLineChartMaker.java?r1=1.7&amp;r2=1.8" class="webrepository">TimeLineChartMaker.java</a>&#160;<span class="change">(+53&#160;-56)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/Builder.java?r1=1.39&amp;r2=1.40" class="webrepository">Builder.java</a>&#160;<span class="change">(+301&#160;-308)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CommitListBuilder.java?r1=1.4&amp;r2=1.5" class="webrepository">CommitListBuilder.java</a>&#160;<span class="change">(+85&#160;-87)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java?r1=1.46&amp;r2=1.47" class="webrepository">CvsFileBlockParser.java</a>&#160;<span class="change">(+124&#160;-135)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsLogBuilder.java?r1=1.2&amp;r2=1.3" class="webrepository">CvsLogBuilder.java</a>&#160;<span class="change">(+25&#160;-26)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsLogfileParser.java?r1=1.16&amp;r2=1.17" class="webrepository">CvsLogfileParser.java</a>&#160;<span class="change">(+66&#160;-72)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java?r1=1.40&amp;r2=1.41" class="webrepository">CvsRevisionParser.java</a>&#160;<span class="change">(+155&#160;-172)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/FileBuilder.java?r1=1.17&amp;r2=1.18" class="webrepository">FileBuilder.java</a>&#160;<span class="change">(+280&#160;-290)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/LogSyntaxException.java?r1=1.11&amp;r2=1.12" class="webrepository">LogSyntaxException.java</a>&#160;<span class="change">(+14&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/NoLineCountException.java?r1=1.1&amp;r2=1.2" class="webrepository">NoLineCountException.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/RepositoryFileManager.java?r1=1.25&amp;r2=1.26" class="webrepository">RepositoryFileManager.java</a>&#160;<span class="change">(+80&#160;-84)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/RevisionData.java?r1=1.6&amp;r2=1.7" class="webrepository">RevisionData.java</a>&#160;<span class="change">(+191&#160;-191)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Author.java?r1=1.13&amp;r2=1.14" class="webrepository">Author.java</a>&#160;<span class="change">(+101&#160;-101)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Commit.java?r1=1.15&amp;r2=1.16" class="webrepository">Commit.java</a>&#160;<span class="change">(+81&#160;-81)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Directory.java?r1=1.10&amp;r2=1.11" class="webrepository">Directory.java</a>&#160;<span class="change">(+176&#160;-176)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/DirectoryImpl.java?r1=1.4&amp;r2=1.5" class="webrepository">DirectoryImpl.java</a>&#160;<span class="change">(+57&#160;-57)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/DirectoryRoot.java?r1=1.3&amp;r2=1.4" class="webrepository">DirectoryRoot.java</a>&#160;<span class="change">(+51&#160;-51)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Repository.java?r1=1.2&amp;r2=1.3" class="webrepository">Repository.java</a>&#160;<span class="change">(+201&#160;-201)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Revision.java?r1=1.1&amp;r2=1.2" class="webrepository">Revision.java</a>&#160;<span class="change">(+351&#160;-351)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/SymbolicName.java?r1=1.3&amp;r2=1.4" class="webrepository">SymbolicName.java</a>&#160;<span class="change">(+79&#160;-82)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/VersionedFile.java?r1=1.1&amp;r2=1.2" class="webrepository">VersionedFile.java</a>&#160;<span class="change">(+208&#160;-217)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ChoraIntegration.java?r1=1.11&amp;r2=1.12" class="webrepository">ChoraIntegration.java</a>&#160;<span class="change">(+77&#160;-80)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ChurnPageMaker.java?r1=1.1&amp;r2=1.2" class="webrepository">ChurnPageMaker.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommandLineParser.java?r1=1.24&amp;r2=1.25" class="webrepository">CommandLineParser.java</a>&#160;<span class="change">(+186&#160;-186)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ConfigurationException.java?r1=1.2&amp;r2=1.3" class="webrepository">ConfigurationException.java</a>&#160;<span class="change">(+9&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ConfigurationOptions.java?r1=1.30&amp;r2=1.31" class="webrepository">ConfigurationOptions.java</a>&#160;<span class="change">(+27&#160;-27)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CssHandler.java?r1=1.5&amp;r2=1.6" class="webrepository">CssHandler.java</a>&#160;<span class="change">(+24&#160;-24)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CvswebIntegration.java?r1=1.12&amp;r2=1.13" class="webrepository">CvswebIntegration.java</a>&#160;<span class="change">(+97&#160;-101)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/DefaultCssHandler.java?r1=1.6&amp;r2=1.7" class="webrepository">DefaultCssHandler.java</a>&#160;<span class="change">(+48&#160;-51)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/JCVSWebIntegration.java?r1=1.2&amp;r2=1.3" class="webrepository">JCVSWebIntegration.java</a>&#160;<span class="change">(+39&#160;-38)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LOCChurnChartMaker.java?r1=1.1&amp;r2=1.2" class="webrepository">LOCChurnChartMaker.java</a>&#160;<span class="change">(+72&#160;-74)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LocalFileCssHandler.java?r1=1.4&amp;r2=1.5" class="webrepository">LocalFileCssHandler.java</a>&#160;<span class="change">(+50&#160;-51)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/RepoMapPageMaker.java?r1=1.1&amp;r2=1.2" class="webrepository">RepoMapPageMaker.java</a>&#160;<span class="change">(+5&#160;-5)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ReportConfig.java?r1=1.6&amp;r2=1.7" class="webrepository">ReportConfig.java</a>&#160;<span class="change">(+130&#160;-132)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/UrlCssHandler.java?r1=1.4&amp;r2=1.5" class="webrepository">UrlCssHandler.java</a>&#160;<span class="change">(+45&#160;-45)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ViewCvsIntegration.java?r1=1.13&amp;r2=1.14" class="webrepository">ViewCvsIntegration.java</a>&#160;<span class="change">(+105&#160;-108)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ViewVcIntegration.java?r1=1.2&amp;r2=1.3" class="webrepository">ViewVcIntegration.java</a>&#160;<span class="change">(+43&#160;-45)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/WebRepositoryIntegration.java?r1=1.6&amp;r2=1.7" class="webrepository">WebRepositoryIntegration.java</a>&#160;<span class="change">(+62&#160;-62)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/AllDevelopersPageMaker.java?r1=1.11&amp;r2=1.12" class="webrepository">AllDevelopersPageMaker.java</a>&#160;<span class="change">(+77&#160;-86)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.15&amp;r2=1.16" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+19&#160;-20)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DeveloperPageMaker.java?r1=1.10&amp;r2=1.11" class="webrepository">DeveloperPageMaker.java</a>&#160;<span class="change">(+17&#160;-17)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectoryPageMaker.java?r1=1.8&amp;r2=1.9" class="webrepository">DirectoryPageMaker.java</a>&#160;<span class="change">(+136&#160;-140)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectorySizesPageMaker.java?r1=1.4&amp;r2=1.5" class="webrepository">DirectorySizesPageMaker.java</a>&#160;<span class="change">(+20&#160;-23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectoryTreeFormatter.java?r1=1.5&amp;r2=1.6" class="webrepository">DirectoryTreeFormatter.java</a>&#160;<span class="change">(+70&#160;-73)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/FileSizesPageMaker.java?r1=1.6&amp;r2=1.7" class="webrepository">FileSizesPageMaker.java</a>&#160;<span class="change">(+61&#160;-68)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/IndexPageMaker.java?r1=1.5&amp;r2=1.6" class="webrepository">IndexPageMaker.java</a>&#160;<span class="change">(+72&#160;-76)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/LOCPageMaker.java?r1=1.4&amp;r2=1.5" class="webrepository">LOCPageMaker.java</a>&#160;<span class="change">(+13&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/LogPageGroupMaker.java?r1=1.5&amp;r2=1.6" class="webrepository">LogPageGroupMaker.java</a>&#160;<span class="change">(+37&#160;-39)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/LogPageMaker.java?r1=1.7&amp;r2=1.8" class="webrepository">LogPageMaker.java</a>&#160;<span class="change">(+89&#160;-101)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/MarkupHTML.java?r1=1.3&amp;r2=1.4" class="webrepository">MarkupHTML.java</a>&#160;<span class="change">(+54&#160;-65)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/MarkupXDoc.java?r1=1.5&amp;r2=1.6" class="webrepository">MarkupXDoc.java</a>&#160;<span class="change">(+21&#160;-31)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/NavigationNode.java?r1=1.3&amp;r2=1.4" class="webrepository">NavigationNode.java</a>&#160;<span class="change">(+23&#160;-23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.12&amp;r2=1.13" class="webrepository">Page.java</a>&#160;<span class="change">(+290&#160;-315)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/PageGroup.java?r1=1.6&amp;r2=1.7" class="webrepository">PageGroup.java</a>&#160;<span class="change">(+86&#160;-90)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/ReportSuiteMaker.java?r1=1.4&amp;r2=1.5" class="webrepository">ReportSuiteMaker.java</a>&#160;<span class="change">(+10&#160;-10)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages/xml</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/AllDevelopersXml.java?r1=1.1&amp;r2=1.2" class="webrepository">AllDevelopersXml.java</a>&#160;<span class="change">(+6&#160;-6)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/CommitListXml.java?r1=1.2&amp;r2=1.3" class="webrepository">CommitListXml.java</a>&#160;<span class="change">(+20&#160;-20)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/DirectoriesXml.java?r1=1.1&amp;r2=1.2" class="webrepository">DirectoriesXml.java</a>&#160;<span class="change">(+17&#160;-17)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/FilesXml.java?r1=1.3&amp;r2=1.4" class="webrepository">FilesXml.java</a>&#160;<span class="change">(+19&#160;-19)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/GenerateXml.java?r1=1.1&amp;r2=1.2" class="webrepository">GenerateXml.java</a>&#160;<span class="change">(+27&#160;-27)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/LogXml.java?r1=1.1&amp;r2=1.2" class="webrepository">LogXml.java</a>&#160;<span class="change">(+11&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/LogXmlMaker.java?r1=1.1&amp;r2=1.2" class="webrepository">LogXmlMaker.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/MarkupXML.java?r1=1.1&amp;r2=1.2" class="webrepository">MarkupXML.java</a>&#160;<span class="change">(+5&#160;-5)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/RevisedFilesXml.java?r1=1.1&amp;r2=1.2" class="webrepository">RevisedFilesXml.java</a>&#160;<span class="change">(+32&#160;-32)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/XML.java?r1=1.1&amp;r2=1.2" class="webrepository">XML.java</a>&#160;<span class="change">(+9&#160;-9)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/FileCollectionFormatter.java?r1=1.8&amp;r2=1.9" class="webrepository">FileCollectionFormatter.java</a>&#160;<span class="change">(+170&#160;-173)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/HTMLTableCellRenderer.java?r1=1.9&amp;r2=1.10" class="webrepository">HTMLTableCellRenderer.java</a>&#160;<span class="change">(+142&#160;-146)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/TableCellRenderer.java?r1=1.10&amp;r2=1.11" class="webrepository">TableCellRenderer.java</a>&#160;<span class="change">(+65&#160;-66)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/TableRenderer.java?r1=1.40&amp;r2=1.41" class="webrepository">TableRenderer.java</a>&#160;<span class="change">(+106&#160;-106)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/XMLRenderer.java?r1=1.2&amp;r2=1.3" class="webrepository">XMLRenderer.java</a>&#160;<span class="change">(+133&#160;-136)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/reportmodel</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/AuthorColumn.java?r1=1.2&amp;r2=1.3" class="webrepository">AuthorColumn.java</a>&#160;<span class="change">(+14&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/AuthorIdColumn.java?r1=1.1&amp;r2=1.2" class="webrepository">AuthorIdColumn.java</a>&#160;<span class="change">(+15&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/Column.java?r1=1.3&amp;r2=1.4" class="webrepository">Column.java</a>&#160;<span class="change">(+34&#160;-34)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/DirectoryColumn.java?r1=1.3&amp;r2=1.4" class="webrepository">DirectoryColumn.java</a>&#160;<span class="change">(+14&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/FileColumn.java?r1=1.4&amp;r2=1.5" class="webrepository">FileColumn.java</a>&#160;<span class="change">(+33&#160;-34)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/GenericColumn.java?r1=1.1&amp;r2=1.2" class="webrepository">GenericColumn.java</a>&#160;<span class="change">(+69&#160;-69)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/HelperTimePoint.java?r1=1.1&amp;r2=1.2" class="webrepository">HelperTimePoint.java</a>&#160;<span class="change">(+88&#160;-89)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/IntegerColumn.java?r1=1.1&amp;r2=1.2" class="webrepository">IntegerColumn.java</a>&#160;<span class="change">(+108&#160;-108)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/LinkColumn.java?r1=1.1&amp;r2=1.2" class="webrepository">LinkColumn.java</a>&#160;<span class="change">(+42&#160;-44)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/RatioColumn.java?r1=1.1&amp;r2=1.2" class="webrepository">RatioColumn.java</a>&#160;<span class="change">(+56&#160;-56)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/SimpleTextColumn.java?r1=1.2&amp;r2=1.3" class="webrepository">SimpleTextColumn.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/Table.java?r1=1.1&amp;r2=1.2" class="webrepository">Table.java</a>&#160;<span class="change">(+89&#160;-89)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/TimeLine.java?r1=1.3&amp;r2=1.4" class="webrepository">TimeLine.java</a>&#160;<span class="change">(+125&#160;-127)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reportmodel/TimePoint.java?r1=1.1&amp;r2=1.2" class="webrepository">TimePoint.java</a>&#160;<span class="change">(+39&#160;-39)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/reports</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/AbstractLocTableReport.java?r1=1.11&amp;r2=1.12" class="webrepository">AbstractLocTableReport.java</a>&#160;<span class="change">(+109&#160;-116)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/AuthorsForDirectoryTableReport.java?r1=1.7&amp;r2=1.8" class="webrepository">AuthorsForDirectoryTableReport.java</a>&#160;<span class="change">(+31&#160;-35)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/AvgFileSizeTimeLineReport.java?r1=1.5&amp;r2=1.6" class="webrepository">AvgFileSizeTimeLineReport.java</a>&#160;<span class="change">(+35&#160;-36)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/DevelopersOfTheMonthTable.java?r1=1.2&amp;r2=1.3" class="webrepository">DevelopersOfTheMonthTable.java</a>&#160;<span class="change">(+78&#160;-85)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/DevelopersTableReport.java?r1=1.2&amp;r2=1.3" class="webrepository">DevelopersTableReport.java</a>&#160;<span class="change">(+25&#160;-28)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/DirectoriesForAuthorTableReport.java?r1=1.6&amp;r2=1.7" class="webrepository">DirectoriesForAuthorTableReport.java</a>&#160;<span class="change">(+31&#160;-35)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/DirectoriesTableReport.java?r1=1.5&amp;r2=1.6" class="webrepository">DirectoriesTableReport.java</a>&#160;<span class="change">(+55&#160;-57)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/FileCountTimeLineReport.java?r1=1.5&amp;r2=1.6" class="webrepository">FileCountTimeLineReport.java</a>&#160;<span class="change">(+35&#160;-37)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/FileTypeReport.java?r1=1.3&amp;r2=1.4" class="webrepository">FileTypeReport.java</a>&#160;<span class="change">(+11&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/FilesLocComparator.java?r1=1.2&amp;r2=1.3" class="webrepository">FilesLocComparator.java</a>&#160;<span class="change">(+16&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/FilesRevisionCountComparator.java?r1=1.4&amp;r2=1.5" class="webrepository">FilesRevisionCountComparator.java</a>&#160;<span class="change">(+35&#160;-35)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/FilesWithMostRevisionsTableReport.java?r1=1.6&amp;r2=1.7" class="webrepository">FilesWithMostRevisionsTableReport.java</a>&#160;<span class="change">(+49&#160;-50)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/LOCSeriesBuilder.java?r1=1.3&amp;r2=1.4" class="webrepository">LOCSeriesBuilder.java</a>&#160;<span class="change">(+86&#160;-85)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/LargestFilesTableReport.java?r1=1.7&amp;r2=1.8" class="webrepository">LargestFilesTableReport.java</a>&#160;<span class="change">(+52&#160;-53)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/TableReport.java?r1=1.1&amp;r2=1.2" class="webrepository">TableReport.java</a>&#160;<span class="change">(+13&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/TagReport.java?r1=1.1&amp;r2=1.2" class="webrepository">TagReport.java</a>&#160;<span class="change">(+113&#160;-115)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/TopDevelopersTableReport.java?r1=1.1&amp;r2=1.2" class="webrepository">TopDevelopersTableReport.java</a>&#160;<span class="change">(+52&#160;-54)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/ConsoleOutErrHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">ConsoleOutErrHandler.java</a>&#160;<span class="change">(+38&#160;-38)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/ConsoleOutHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">ConsoleOutHandler.java</a>&#160;<span class="change">(+9&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/CvsLogUtils.java?r1=1.4&amp;r2=1.5" class="webrepository">CvsLogUtils.java</a>&#160;<span class="change">(+102&#160;-105)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FilePatternMatcher.java?r1=1.2&amp;r2=1.3" class="webrepository">FilePatternMatcher.java</a>&#160;<span class="change">(+75&#160;-75)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.18&amp;r2=1.19" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+50&#160;-52)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?r1=1.14&amp;r2=1.15" class="webrepository">IntegerMap.java</a>&#160;<span class="change">(+225&#160;-225)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LogFormatter.java?r1=1.8&amp;r2=1.9" class="webrepository">LogFormatter.java</a>&#160;<span class="change">(+41&#160;-41)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LookaheadReader.java?r1=1.3&amp;r2=1.4" class="webrepository">LookaheadReader.java</a>&#160;<span class="change">(+78&#160;-78)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/weblinks/bugs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/weblinks/bugs/BugTracker.java?r1=1.7&amp;r2=1.8" class="webrepository">BugTracker.java</a>&#160;<span class="change">(+8&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/weblinks/bugs/Bugzilla.java?r1=1.2&amp;r2=1.3" class="webrepository">Bugzilla.java</a>&#160;<span class="change">(+10&#160;-10)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/weblinks/bugs/Mantis.java?r1=1.2&amp;r2=1.3" class="webrepository">Mantis.java</a>&#160;<span class="change">(+10&#160;-10)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/AllTests.java?r1=1.8&amp;r2=1.9" class="webrepository">AllTests.java</a>&#160;<span class="change">(+26&#160;-27)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/AllTests.java?r1=1.6&amp;r2=1.7" class="webrepository">AllTests.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/BuilderTest.java?r1=1.25&amp;r2=1.26" class="webrepository">BuilderTest.java</a>&#160;<span class="change">(+233&#160;-233)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/CommitListBuilderTest.java?r1=1.9&amp;r2=1.10" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="change">(+158&#160;-158)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/DummyBuilder.java?r1=1.4&amp;r2=1.5" class="webrepository">DummyBuilder.java</a>&#160;<span class="change">(+57&#160;-57)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/DummyRepositoryFileManager.java?r1=1.1&amp;r2=1.2" class="webrepository">DummyRepositoryFileManager.java</a>&#160;<span class="change">(+29&#160;-30)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java?r1=1.34&amp;r2=1.35" class="webrepository">FileBlockParserTest.java</a>&#160;<span class="change">(+134&#160;-138)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBuilderTest.java?r1=1.7&amp;r2=1.8" class="webrepository">FileBuilderTest.java</a>&#160;<span class="change">(+110&#160;-110)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/LinesOfCodeTest.java?r1=1.21&amp;r2=1.22" class="webrepository">LinesOfCodeTest.java</a>&#160;<span class="change">(+283&#160;-286)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/MockLogBuilder.java?r1=1.4&amp;r2=1.5" class="webrepository">MockLogBuilder.java</a>&#160;<span class="change">(+139&#160;-140)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/ParserTest.java?r1=1.6&amp;r2=1.7" class="webrepository">ParserTest.java</a>&#160;<span class="change">(+296&#160;-296)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.10&amp;r2=1.11" class="webrepository">AllTests.java</a>&#160;<span class="change">(+16&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.7&amp;r2=1.8" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+77&#160;-77)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.19&amp;r2=1.20" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+118&#160;-118)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.30&amp;r2=1.31" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+146&#160;-147)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.25&amp;r2=1.26" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+146&#160;-148)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.18&amp;r2=1.19" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+202&#160;-202)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?r1=1.5&amp;r2=1.6" class="webrepository">RevisionTest.java</a>&#160;<span class="change">(+33&#160;-33)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/output/AllTests.java?r1=1.2&amp;r2=1.3" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/output/WebRepositoryIntegrationTest.java?r1=1.20&amp;r2=1.21" class="webrepository">WebRepositoryIntegrationTest.java</a>&#160;<span class="change">(+251&#160;-279)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/pages/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+8&#160;-8)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/pages/HTMLTest.java?r1=1.1&amp;r2=1.2" class="webrepository">HTMLTest.java</a>&#160;<span class="change">(+24&#160;-27)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/renderer/AllTests.java?r1=1.2&amp;r2=1.3" class="webrepository">AllTests.java</a>&#160;<span class="change">(+11&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/renderer/FileCollectionFormatterTest.java?r1=1.3&amp;r2=1.4" class="webrepository">FileCollectionFormatterTest.java</a>&#160;<span class="change">(+153&#160;-157)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/reportmodel</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/reportmodel/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/reportmodel/TimeLineTest.java?r1=1.1&amp;r2=1.2" class="webrepository">TimeLineTest.java</a>&#160;<span class="change">(+138&#160;-142)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/AllTests.java?r1=1.7&amp;r2=1.8" class="webrepository">AllTests.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/CvsLogUtilsTest.java?r1=1.3&amp;r2=1.4" class="webrepository">CvsLogUtilsTest.java</a>&#160;<span class="change">(+42&#160;-53)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/FilePatternMatcherTest.java?r1=1.1&amp;r2=1.2" class="webrepository">FilePatternMatcherTest.java</a>&#160;<span class="change">(+201&#160;-201)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/FileUtilsTest.java?r1=1.2&amp;r2=1.3" class="webrepository">FileUtilsTest.java</a>&#160;<span class="change">(+37&#160;-39)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/IntegerMapTest.java?r1=1.3&amp;r2=1.4" class="webrepository">IntegerMapTest.java</a>&#160;<span class="change">(+257&#160;-257)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/LookaheadReaderTest.java?r1=1.2&amp;r2=1.3" class="webrepository">LookaheadReaderTest.java</a>&#160;<span class="change">(+81&#160;-81)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="11"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:15</span>
  </dt>
  <dd>
    <p class="comment">
Reduce log.
    </p>
    <p class="commitdetails"><strong>16</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.14&amp;r2=1.15" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+1&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.10&amp;r2=1.11" class="webrepository">HTML.java</a>&#160;<span class="change">(+15&#160;-5)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="10"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:03</span>
  </dt>
  <dd>
    <p class="comment">
Do not create links inside comments for XML export<br />
Use proper CDATA xml element for Comments.
    </p>
    <p class="commitdetails"><strong>8</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages/xml</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/CommitListXml.java?r1=1.1&amp;r2=1.2" class="webrepository">CommitListXml.java</a>&#160;<span class="change">(+6&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/FilesXml.java?r1=1.2&amp;r2=1.3" class="webrepository">FilesXml.java</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="9"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 19:08</span>
  </dt>
  <dd>
    <p class="comment">
Added auto-link for commit comments if the link start with either http:// https:// or simply www. (assuming that there is a space before www.)<br />
So these should work: <a href="http://www.appendium.com">http://www.appendium.com</a> and <a href="https://www.jboss.org">https://www.jboss.org</a><br />
and <a href="http://www.lavablast.com">www.lavablast.com</a>
    </p>
    <p class="commitdetails"><strong>549</strong> lines of code changed in <span class="files">7 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/.settings</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.settings/org.eclipse.jdt.core.prefs?r1=1.1&amp;r2=1.2" class="webrepository">org.eclipse.jdt.core.prefs</a>&#160;<span class="change">(+255&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.settings/org.eclipse.jdt.ui.prefs?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">org.eclipse.jdt.ui.prefs</a>&#160;<span class="new">(new&#160;52)</span>
      </li>
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?r1=1.4&amp;r2=1.5" class="webrepository">changes.xml</a>&#160;<span class="change">(+1)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.13&amp;r2=1.14" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+2&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.9&amp;r2=1.10" class="webrepository">HTML.java</a>&#160;<span class="change">(+230&#160;-194)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.11&amp;r2=1.12" class="webrepository">Page.java</a>&#160;<span class="change">(+1&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/weblinks/bugs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/weblinks/bugs/BugTracker.java?r1=1.6&amp;r2=1.7" class="webrepository">BugTracker.java</a>&#160;<span class="change">(+8&#160;-31)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="8"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 18:09</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.6</span></span>
  </dt>
  <dd>
    <p class="comment">
Trying to add a quick mechanism for auto-links... say to <a href="http://www.appendium.com">http://www.appendium.com</a><br />
and <a href="http://www.objectlab.co.uk">http://www.objectlab.co.uk</a>
    </p>
    <p class="commitdetails"><strong>103</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/weblinks/bugs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/weblinks/bugs/BugTracker.java?r1=1.5&amp;r2=1.6" class="webrepository">BugTracker.java</a>&#160;<span class="change">(+103&#160;-79)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="7"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 16:08</span>
  </dt>
  <dd>
    <p class="comment">
Applied patch for [ 1757394 ] Do not lump C++ .C,.H files in "Others" [patch]
    </p>
    <p class="commitdetails"><strong>3</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?r1=1.3&amp;r2=1.4" class="webrepository">changes.xml</a>&#160;<span class="change">(+2&#160;-1)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/reports</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/reports/FileTypeReport.java?r1=1.2&amp;r2=1.3" class="webrepository">FileTypeReport.java</a>&#160;<span class="change">(+1&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="6"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 16:02</span>
  </dt>
  <dd>
    <p class="comment">
Applied patch for [ 1799499 ] LOCChartMaker NullPointerException<br />
Thanks to Shamil Bikineyev
    </p>
    <p class="commitdetails"><strong>290</strong> lines of code changed in <span class="files">8 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.cvsignore?r1=1.18&amp;r2=1.19" class="webrepository">.cvsignore</a>&#160;<span class="change">(+5)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/project.properties?r1=1.16&amp;r2=1.17" class="webrepository">project.properties</a>&#160;<span class="change">(+4)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/project.xml?r1=1.6&amp;r2=1.7" class="webrepository">project.xml</a>&#160;<span class="change">(+1&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/statcvs.bat?r1=1.1&amp;r2=1.2" class="webrepository">statcvs.bat</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?r1=1.2&amp;r2=1.3" class="webrepository">changes.xml</a>&#160;<span class="change">(+2&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/index.xml?r1=1.1&amp;r2=1.2" class="webrepository">index.xml</a>&#160;<span class="change">(+18&#160;-18)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/navigation.xml?r1=1.1&amp;r2=1.2" class="webrepository">navigation.xml</a>&#160;<span class="change">(+1)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/charts</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/charts/LOCChartMaker.java?r1=1.12&amp;r2=1.13" class="webrepository">LOCChartMaker.java</a>&#160;<span class="change">(+257&#160;-273)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="5"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 15:54</span>
  </dt>
  <dd>
    <p class="comment">
Fix for [ 1725844 ] division by zero. Thanks to Jan Dockx.
    </p>
    <p class="commitdetails"><strong>110</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?r1=1.1&amp;r2=1.2" class="webrepository">changes.xml</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DeveloperPageMaker.java?r1=1.9&amp;r2=1.10" class="webrepository">DeveloperPageMaker.java</a>&#160;<span class="change">(+108&#160;-120)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="4"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-31 21:46</span>
  </dt>
  <dd>
    <p class="comment">
Add Maven Build.
    </p>
    <p class="commitdetails"><strong>1418</strong> lines of code changed in <span class="files">18 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.cvsignore?r1=1.17&amp;r2=1.18" class="webrepository">.cvsignore</a>&#160;<span class="change">(+4)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/maven.xml?r1=1.1&amp;r2=1.2" class="webrepository">maven.xml</a>&#160;<span class="change">(+33&#160;-36)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/project.properties?r1=1.15&amp;r2=1.16" class="webrepository">project.properties</a>&#160;<span class="change">(+19)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/project.xml?r1=1.5&amp;r2=1.6" class="webrepository">project.xml</a>&#160;<span class="change">(+222&#160;-138)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/run-statcvs.properties?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">run-statcvs.properties</a>&#160;<span class="new">(new&#160;60)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/statcvs.bat?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">statcvs.bat</a>&#160;<span class="new">(new&#160;13)</span>
      </li>
      <li>
        <strong>statcvs/maven-common-build</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/maven-common-build/findbugs-exclude.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">findbugs-exclude.xml</a>&#160;<span class="new">(new&#160;4)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/maven-common-build/objectlab_statsvn_checks.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">objectlab_statsvn_checks.xml</a>&#160;<span class="new">(new&#160;227)</span>
      </li>
      <li>
        <strong>statcvs/site</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/.cvsignore?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">.cvsignore</a>&#160;<span class="new">(new&#160;1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/changes.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">changes.xml</a>&#160;<span class="new">(new&#160;13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/developers.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">developers.xml</a>&#160;<span class="new">(new&#160;33)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/index.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">index.xml</a>&#160;<span class="new">(new&#160;97)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/manual.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">manual.xml</a>&#160;<span class="new">(new&#160;507)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/navigation.xml?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">navigation.xml</a>&#160;<span class="new">(new&#160;39)</span>
      </li>
      <li>
        <strong>statcvs/site/images</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/images/statcvs-developers.jpg?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">statcvs-developers.jpg</a>&#160;<span class="new">(new)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/images/statcvs.gif?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">statcvs.gif</a>&#160;<span class="new">(new)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/images/statcvslogo.gif?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">statcvslogo.gif</a>&#160;<span class="new">(new)</span>
      </li>
      <li>
        <strong>statcvs/site/style</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/site/style/maven-objectlabkit.css?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">maven-objectlabkit.css</a>&#160;<span class="new">(new&#160;146)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="3"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-31 17:04</span>
  </dt>
  <dd>
    <p class="comment">
Removed some 1.5 code.
    </p>
    <p class="commitdetails"><strong>16</strong> lines of code changed in <span class="files">4 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?r1=1.59&amp;r2=1.60" class="webrepository">Main.java</a>&#160;<span class="change">(+6&#160;-7)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/ReportSuiteMaker.java?r1=1.3&amp;r2=1.4" class="webrepository">ReportSuiteMaker.java</a>&#160;<span class="change">(+5&#160;-1)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages/xml</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/xml/FilesXml.java?r1=1.1&amp;r2=1.2" class="webrepository">FilesXml.java</a>&#160;<span class="change">(+3&#160;-3)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/XMLRenderer.java?r1=1.1&amp;r2=1.2" class="webrepository">XMLRenderer.java</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="2"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-28 16:56</span>
  </dt>
  <dd>
    <p class="comment">
The RepoMap and LOCChurn pages are now available to StatCVS.
    </p>
    <p class="commitdetails"><strong>759</strong> lines of code changed in <span class="files">7 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/build.xml?r1=1.37&amp;r2=1.38" class="webrepository">build.xml</a>&#160;<span class="change">(+207&#160;-229)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?r1=1.58&amp;r2=1.59" class="webrepository">Main.java</a>&#160;<span class="change">(+12&#160;-4)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/statcvs.properties?r1=1.77&amp;r2=1.78" class="webrepository">statcvs.properties</a>&#160;<span class="change">(+15)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ChurnPageMaker.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ChurnPageMaker.java</a>&#160;<span class="new">(new&#160;127)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LOCChurnChartMaker.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LOCChurnChartMaker.java</a>&#160;<span class="new">(new&#160;125)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/RepoMapPageMaker.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RepoMapPageMaker.java</a>&#160;<span class="new">(new&#160;273)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output/web-files</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/web-files/jtreemap-1.1.0.jar?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">jtreemap-1.1.0.jar</a>&#160;<span class="new">(new)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="1"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-27 23:32</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.37</span></span>
  </dt>
  <dd>
    <p class="comment">
[1927587]Added jdom and some tests under run.xml
    </p>
    <p class="commitdetails"><strong>23</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/build.xml?r1=1.36&amp;r2=1.37" class="webrepository">build.xml</a>&#160;<span class="change">(+23)</span>
      </li>
    </ul>
  </dd>

</dl>

<p>(10 more)</p>
</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>